---
layout: markdown_page
title: "Gartner® Market Guide for Value Stream Delivery Platforms (VSDP) 2021"
description: "This page represents how Gartner views the Value Stream Delivery Platform (VSDP) market in 2021."
canonical_path: "/analysts/gartner-vsdp21/"
---
### Gartner Market Guide for Value Stream Delivery Platforms

From the beginning, GitLab has focused on delivering The DevOps Platform as a single application. With one user interface, a unified data store, and security embedded within the DevOps lifecycle, GitLab is the first solution provider to emerge from the era of DIY DevOps with a true DevOps Platform. That's why we were so excited to read the [2021 Market Guide for Value Stream Platforms](https://page.gitlab.com/2021_GartnerMG_VSDP.html) (VSDPs), in which Gartner has further  developed on this increasingly critical category of DevOps solutions.

**Gartner Market Definition:**

"Value stream delivery platforms provide fully integrated capabilities that enable continuous delivery of software. These capabilities may include planning, version control, continuous integration, test automation, release orchestration, continuous deployment (and rollback), monitoring, security testing and analyzing value stream metrics. VSDPs integrate with infrastructure and compliance automation tools to automate infrastructure deployment and policy enforcement.

VSDPs are extensible by design and integrate with other tools to fill gaps in software delivery management. Gartner definition of VSDP does not describe a system that cobbles together disparate DevOps tools. Instead, VSDPs provide preintegrated capabilities that enhance productivity, collaboration, communication and business outcomes for product teams via interactions among the platform components."



### The Market Perspective

**GitLab believes** that DIY DevOps organizations waste time and resources maintaining toolchain integrations, create silos of tool-specific competencies, and create "data gaps" in integrations resulting in incomplete context and manual workarounds. That inefficiency diminishes the ability of the organization to collaborate, iterate, and deliver business outcomes.

**Gartner states:**
  * “Operating a DevOps toolchain is not a one-time exercise. Rather, it requires ongoing resources, skills, knowledge, training, and support for operating and maintaining the tools.”
  * “Platform teams struggle to scale self-service, enforce policy and implement security controls for development teams as organizations transition to hybrid work styles.”
  * “Product teams struggle to reduce the time to market and deliver faster customer value due to too many handoffs and the resulting friction, siloed visibility, and broken feedback loops.”

_______

**GitLab believes** that businesses should focus on delivering the greatest amount of value, rather than maintaining the infrastructure necessary to understand, produce, or deploy it.

**Gartner states** that software engineering leaders responsible for agile and DevOps initiatives should:
  * “Scale DevOps initiatives by adopting value stream delivery platforms (VSDPs) that reduce management complexity and improve developer experience across multiple product teams.”
  * “Make it easy to support distributed development teams by adopting cloud-based VSDPs and using their integration and collaboration capabilities for code reviews, code sharing and issue tracking.”

_______

**GitLab believes** that security and compliance are everyone’s responsibility, and should be as deeply integrated into the SDLC as planning or testing. Organizations should scan every line of code as it is committed, allowing developers to identify and remediate vulnerabilities before they are even pushed.

**Gartner states:** “Improve the flow of work by streamlining the application delivery life cycle with VSDPs that provide consistent visibility, traceability, auditability, security and observability across the DevOps pipeline.”

Given Gartner Strategic Planning Assumption (_“By 2024, 60% of organizations will have switched from multiple point solutions to value stream delivery platforms to streamline application delivery, up from 20% in 2021.”_), **GitLab believes** that Gartner aligns with our belief that the market for a DevOps platform delivered as a single application will grow much faster than the DevOps solution market as a whole.

_______
### How we're different:

We are honored to be included as a Representative Vendor in Gartner Market Guide for the second consecutive year, and we look forward to future coverage in which Gartner builds on its coverage of the space. As a pioneer of the DevOps Platform approach, we also have a very opinionated take on what a DevOps platform should offer, resulting in a very different product than more recent entrants to the space. 

Key differentiators include:

* A platform that extends beyond the scope of the current VSDP definition, providing all the tools you need to move from initial ideation to creation and delivery to monitoring and learning.
* An open-source core and an unparalleled commitment to [Transparency](https://about.gitlab.com/handbook/values/#transparency) with our users, customers, community members, and team members.
* GitLab is truly infrastructure-agnostic--run in the cloud of your choice, on-premises, or through GitLab.com, our SaaS service.
* GitLab’s Platform does not focus on software developers in isolation. By empowering all teams - Software, Operations, IT, Security, and Business - to collaboratively plan, build, secure, and deploy software across an end-to-end unified system, GitLab represents a fundamental step change in realizing the full potential of DevOps. 

GitLab has repeatedly shown the value of its Platform approach since our first-to-market combination of source control and continuous integration. By freeing developers to manage their CI configuration as code, and empowering them to run and improve their inner build-test loop, we unlocked a major hurdle to DevOps adoption. We continue to do the same with integrated Application Security, Project, Package, Release, Infrastructure and Incident Management. Users of The DevOps Platform gain the benefits of greater control, and more insights - unlocking the metrics that drive DevOps success with less effort and more resources to spend generating business outcomes.

_______
_Gartner, Market Guide for Value Stream Delivery Platforms, Manjunath Bhat, Thomas Murphy, Daniel Betts, Chris Saunderson, Hassan Ennaciri, Joachim Herschmann, 18 October 2021_

_GARTNER is a registered trademark and service mark of Gartner, Inc. and/or its affiliates in the U.S. and internationally and is used herein with permission. All rights reserved._

_Gartner does not endorse any vendor, product or service depicted in its research publications, and does not advise technology users to select only those vendors with the highest ratings or other designation. Gartner research publications consist of the opinions of Gartner's research organization and should not be construed as statements of fact. Gartner disclaims all warranties, expressed or implied, with respect to this research, including any warranties of merchantability or fitness for a particular purpose._
